<?php
#if($user)header("Location: index.php?"); exit;
//Модуль восстановления пароля
$_SESSION['title']="Восстановление пароля";

//
if(isset($_POST['rep_nick']))
{
$rep_nick=ft_nic($_POST['rep_nick']);
$obj=mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `login`='$rep_nick' LIMIT 1"));
  if($obj['login']==$rep_nick and $obj['mails']!='')
    {
      // Отправка мыла
      $r_key=gen_key();
      @mysql_query("UPDATE `user` SET `r_key`='$r_key' WHERE `id`='$obj[id]' LIMIT 1");
      
      $reg_mails=$obj['mails'];
      // 
        $subject = "Восстановление пароля";
        $regmail = "Здравствуйте $obj[login]<br />
        Вы запросили восстановление пароля на сайте http://$_SERVER[HTTP_HOST]<br />
        Для смены пароля перейдите по 
        <a href=\"http://$_SERVER[HTTP_HOST]/?l=chpass&amp;chpass=$r_key\">ссылке</a><br />
        Или скопируйте ссылку в строку броузера:<br />
        http://$_SERVER[HTTP_HOST]/?l=chpass&amp;chpass=$r_key
        ";
        //
        $adds="From: \"admin@$_SERVER[HTTP_HOST]\" <admin@$_SERVER[HTTP_HOST]>\n";
        $adds .= "Content-Type: text/html; charset=utf-8\n";
        mail($reg_mails,'=?utf-8?B?'.base64_encode($subject).'?=',$regmail,$adds);
        // пишем мессагу и кидаем на страницу активации
        $_SESSION['msg'].="Инструкции по восстановлению отправлены на Ваш e-mail<br />";     
    }else{
      $_SESSION['error'].="Восстановление невозможно по причине: Данный логин не зарегистрирован или не указан адрес e-mail в анкете!<br />";
    }
header("Location: index.php?l=chpass"); exit;
}
if(!isset($rep_nick)){$rep_nick="";}
heads($headers_page, $set_ob_start);   //подключение шапки
echo"<div class=\"aut2\">Восстановление пароля</div>";
echo"Ваш ник<br />";
?>
<form action="" method="post">
<input type="text" size="12" name="rep_nick" value="<?=$rep_nick?>" /><br />
<input type="submit" value="Восстановить" />
</form>